> ## Documentation Index
> Fetch the complete documentation index at: https://usegately.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Contact

> Permanently delete a contact and all associated data

<Warning>
  This action is irreversible. The contact, their tag associations, list memberships, and unsubscribe records are all permanently removed.
</Warning>

## Headers

<ParamField header="Authorization" type="string" required>
  `Bearer YOUR_API_KEY`
</ParamField>

<ParamField header="X-Project-ID" type="string">
  Your project UUID. Not required if the API key already encodes the project.
</ParamField>

## Path Parameters

<ParamField path="contactId" type="string" required>
  The contact UUID
</ParamField>

## Response

<ResponseField name="message" type="string">
  Confirmation message
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.usegately.com/api/v1/contacts/CONTACT_ID" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "X-Project-ID: YOUR_PROJECT_ID"
  ```

  ```javascript JavaScript theme={null}
  await fetch('https://api.usegately.com/api/v1/contacts/CONTACT_ID', {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY',
      'X-Project-ID': 'YOUR_PROJECT_ID',
    }
  })
  ```

  ```typescript SDK theme={null}
  import { GatelyContacts } from '@gately/sdk'

  const crm = new GatelyContacts({ projectId: 'YOUR_PROJECT_ID' })
  await crm.delete('CONTACT_ID')
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "message": "Contact deleted successfully"
  }
  ```

  ```json Not found theme={null}
  {
    "error": "Contact not found"
  }
  ```
</ResponseExample>
